App\Entity\Categorie:
    type: entity
    table: categorie
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: false
        description:
            type: text
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
        afficherDetailsProduit:
            type: boolean
            nullable: true
        motscles:
            type: text
            nullable: true
    manyToOne:
        parent:
            targetEntity: Categorie
            cascade: {  }
            mappedBy: null
            inversedBy: filles
            joinColumns:
                parent_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: categories
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
    oneToMany:
        filles:
            targetEntity: Categorie
            mappedBy: parent
        produits:
            targetEntity: Produit
            mappedBy: categorie
        produitAttributs:
            targetEntity: ProduitAttribut
            mappedBy: categorie
            orderBy:
              ordre: ASC
    lifecycleCallbacks:
        postLoad: [ postLoad ]